%define __libtoolize :

%define glib2_version 2.0.1

Name:		libgtop2
Summary:        libgtop library (version 2)
Version: 	1.90.2
Release: 	3
License: 	LGPL
Group: System Environment/Libraries
Source: 	libgtop-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	glib2 >= %{glib2_version}
BuildRequires:	glib2-devel >= %{glib2_version}

%description
libgtop is a library for portably obtaining information about processes, 
such as their PID, memory usage, etc.

%package devel
Summary: Libraries and include files for developing with libgtop.
Group: Development/Libraries
Requires:	%{name} = %{version}
Requires:	glib2-devel >= %{glib2_version}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with libgtop.

%prep
%setup -q -n libgtop-%{version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

## this isn't in the file list but we want to be really sure not to get 
## the dumb daemon
/bin/rm $RPM_BUILD_ROOT%{_bindir}/*

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang

%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/libgtop-2.0
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- .la files evil

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- rebuild for glib 2.0

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.90.2

* Mon Jan 28 2002 Havoc Pennington <hp@redhat.com>
- Initial build

